## ada-reference-manual 2005.2

=== debian/changelog ===
ada-reference-manual (1:2005.2-1) unstable; urgency=low

  * New upstream release, dated 12 Nov 2006, for Ada 2005. HTML, info,
    PDF, and text files generated from texinfo sources, which are
    generated upstream from Scheme sources. Split into several packages to
    allow users to only install the format they want. Closes: #460582

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Sun, 06 Jun 2010 16:52:31 -0400

ada-reference-manual (20021112web-3) unstable; urgency=low

  * Correctly represent '@' characters in the Texinfo manual.
    Closes: #287517.

 -- Florian Weimer <fw@deneb.enyo.de>  Tue, 28 Dec 2004 15:17:16 +0100

ada-reference-manual (20021112web-2) unstable; urgency=low

  * The address in the Texinfo file is no longer the preferred one.  Add a
    remark.  Closes: #258053.

 -- Florian Weimer <fw@deneb.enyo.de>  Wed,  7 Jul 2004 22:23:53 +0200

ada-reference-manual (20021112web-1) unstable; urgency=low

  * First version. Closes: #168766.

 -- Florian Weimer <fw@deneb.enyo.de>  Sat, 11 Jan 2003 18:00:18 +0100
