=== debian/control ===
Source: ada-reference-manual
Section: doc
Priority: optional
Maintainer: Stephen Leake <stephen_leake@stephe-leake.org>
DM-Upload-Allowed: yes
# texlive-base          lots of tex stuff used by texi2dvi
# texlive-binaries      dvips
# texlive-latex-base    fonts used by our doc
# texinfo               texi2dvi
# ghostscript           ps2pdf
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: texinfo, texlive-base, texlive-binaries, texlive-latex-base, ghostscript
Standards-Version: 3.8.4
Homepage: http://www.stephe-leake.org/ada/arm.html

Package: ada-reference-manual-html
Architecture: all
Conflicts: gnat-doc (<< 3.15p)
Suggests: gnat, ada-compiler
Depends: ${misc:Depends}
Description: Ada 2005 language standard
 The Ada Reference Manual is the ISO standard describing the
 programming language Ada.
 .
 This package provides the plain and annotated versions in HTML
 format.

Package: ada-reference-manual-info
Architecture: all
Conflicts: gnat-doc (<< 3.15p)
Suggests: gnat, ada-compiler
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: Ada 2005 language standard
 The Ada Reference Manual is the ISO standard describing the
 programming language Ada.
 .
 This package provides the plain and annotated versions in info
 format.

Package: ada-reference-manual-pdf
Architecture: all
Conflicts: gnat-doc (<< 3.15p)
Suggests: gnat, ada-compiler
Depends: ${misc:Depends}
Description: Ada 2005 language standard
 The Ada Reference Manual is the ISO standard describing the
 programming language Ada.
 .
 This package provides the plain and annotated versions in PDF format.

Package: ada-reference-manual-text
Architecture: all
Conflicts: gnat-doc (<< 3.15p)
Suggests: gnat, ada-compiler
Depends: ${misc:Depends}
Description: Ada 2005 language standard
 The Ada Reference Manual is the ISO standard describing the
 programming language Ada.
 .
 This package provides the plain and annotated versions in plain text
 format.
