## ada-reference-manual 2012.1

=== debian/changelog ===
ada-reference-manual (1:2012.1-2) unstable; urgency=low

  * debian/control (Maintainer): new maintainer as Stephen has retired
    from Debian. Thanks for all the hard work, Stephen.
    (DM-Upload-Allowed): remove, not necessary anymore.
  * (ada-reference-manual-2005): break and replace
    ada-reference-manual-{html,info,pdf,text} from the previous upstream
    version.  Closes: #673321.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon, 11 Jun 2012 09:56:25 +0200

ada-reference-manual (1:2012.1-1) unstable; urgency=low

  * New upstream release, for Ada 2012, draft 17. Scheme sources, and the
    Ada code that processes them, are now included (Ada code license was
    changed by upstream to GPL 3). Both Ada 2005 and Ada 2012 reference
    manuals are generated. Merged all formats into one package per Ada
    version for simplicity.

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Sun, 29 Apr 2012 08:10:00 -0400
