=== debian/control ===
Source: ada-reference-manual
Section: doc
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Build-Depends: debhelper (>= 9)
# ghostscript           ps2pdf
# texinfo               texi2dvi
# texlive-base          lots of tex stuff used by texi2dvi
# texlive-binaries      dvips
# texlive-latex-base    fonts used by our doc
Build-Depends-Indep: ghostscript, texinfo, texlive-base, texlive-binaries, texlive-latex-base,
 gnat
Standards-Version: 3.9.3
Homepage: http://www.stephe-leake.org/ada/arm.html

Package: ada-reference-manual-2005
Architecture: all
Conflicts: gnat-doc (<< 3.15p)
Suggests: gnat
Breaks: ada-reference-manual-html,
 ada-reference-manual-info,
 ada-reference-manual-pdf,
 ada-reference-manual-text
Replaces: ada-reference-manual-html,
 ada-reference-manual-info,
 ada-reference-manual-pdf,
 ada-reference-manual-text
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: Ada 2005 language standard
 The Ada Reference Manual is the ISO standard describing the
 programming language Ada.
 .
 This package provides the plain and annotated versions of the 2005
 ARM in HTML, PDF, info, and plain text formats.

Package: ada-reference-manual-2012
Architecture: all
Conflicts: gnat-doc (<< 3.15p)
Suggests: gnat
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: Ada 2012 language standard
 The Ada Reference Manual is the ISO standard describing the
 programming language Ada.
 .
 This package provides the plain and annotated versions of the 2012
 ARM in HTML, PDF, info, and plain text formats.
