=== debian/watch ===
version=3

# The upstream maintainer is the same person as the Debian maintainer,
# so there's no need for an automated scan.

# Intermediate upstream is in monotone, which has a web interface at
# http://green.ada-france.org:8081/branch/changes/org.debian.ada-reference-manual
# There might be a way to get uscan to recognize a new release there
# (a new tag?)

# Official upstream is at http://www.ada-auth.org/arm.html; there
# might be a way to get uscan to detect a new version there (once
# every 5 years or so).
