=== debian/changelog ===
ada-reference-manual (1:2012.2-7) unstable; urgency=medium

  * Prepare compatibility with gnat 5 (versioned debian_packaging.mk)
    and > 5 (gnatmake will drop support for projects).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 20 Oct 2015 14:47:12 +0200

ada-reference-manual (1:2012.2-6) unstable; urgency=medium

  * patches/specify-texinfo-encoding.diff closes: #790528

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 12 Jul 2015 19:31:36 +0200

ada-reference-manual (1:2012.2-5) unstable; urgency=medium

  * Not only set clock from deb log, but also freeze it so that PDF
    timestamps do not depend on the time spent in previous tasks.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 May 2015 15:08:49 +0200

ada-reference-manual (1:2012.2-4) unstable; urgency=medium

  * Remove dates from PDF generated by LaTeX, for reproducible builds.
  * Replace some txt duplicate docs with symlinks.
  * Standards-Version: 3.9.6 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 27 Apr 2015 15:30:27 +0200

ada-reference-manual (1:2012.2-3) unstable; urgency=medium

  * rules: avoid failing because of gnat 4.9 warnings.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 28 Apr 2014 18:26:24 +0200

ada-reference-manual (1:2012.2-2) unstable; urgency=medium

  * Build-Depends: debian_packaging.mk in gnat-x.y, not dh-ada-library.
  * patches/remove_race_condition_texinfo_tmpfile.diff closes: #743505.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 06 Apr 2014 11:42:45 +0200

ada-reference-manual (1:2012.2-1) unstable; urgency=low

  * New upstream release. Closes: #712363.
  * control: moved all Build-Depends to Build-Depends-Indep (no arch package).
    Build-Depend: dh-ada-library for Debian default Ada flags.
    Directly BD on texlive-fonts-recommended for ecrm1095 fonts.
    Only Break/Replace: a-r-m-info (no path conflict with other formats).
    No need to Conflict: obsolete gnat-doc (<< 3.15p) anymore.
    Added me to Uploaders. Added VCS-* fields.
  * README.Debian, arm_info.gpr: not specific to Debian, moved to upstream.
  * *.doc-base.*, *.docs: replaced with doc_base_template and loop in rules.
  * copyright: copyright-format/1.0, updated URL, .
  * source/local-options: only set non-default options.
  * watch: updated (thanks to bartm).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2014 23:52:27 +0100
