=== debian/control ===
Source: ada-reference-manual
Section: doc
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends-Indep: debhelper (>= 9), dpkg-dev (>= 1.16.1),
# /usr/share/dpkg/default.mk
 gnat,
# Ada compiler, /usr/share/ada/debian_packaging*.mk
 faketime,
# https://wiki.debian.org/ReproducibleBuilds/TimestampsInPDFGeneratedByLaTeX
 texinfo,
# texi2any
 texlive-latex-recommended,
# pdf output module
 texlive-fonts-recommended
# ecrm1095 fonts
Standards-Version: 3.9.6
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.ada-reference-manual
Vcs-Mtn: www.ada-france.org org.debian.ada-reference-manual
Homepage: http://www.stephe-leake.org/ada/arm.html
# http://www.ada-auth.org/arm.html is the other upstream contact
# but Stephen's page links to them on the front page and this field
# only accepts one value.

Package: ada-reference-manual-2005
Architecture: all
Suggests: gnat
Breaks: ada-reference-manual-info
Replaces: ada-reference-manual-info
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: Ada 2005 language standard
 The Ada Reference Manual is the ISO standard describing the
 programming language Ada.
 .
 This package provides the plain and annotated versions of the 2005
 ARM in HTML, PDF, info, and plain text formats.

Package: ada-reference-manual-2012
Architecture: all
Suggests: gnat
Breaks: ada-reference-manual-info
Replaces: ada-reference-manual-info
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: Ada 2012 language standard
 The Ada Reference Manual is the ISO standard describing the
 programming language Ada.
 .
 This package provides the plain and annotated versions of the 2012
 ARM in HTML, PDF, info, and plain text formats.
