=== debian/watch ===
version=3
http://www.stephe-leake.org/ada/arm.html arm_info-(\d.*)-src\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
